[ 0.7.0.2 ]

 [FIX] email.php didn't show recaptchaV2 correctly

[ 0.7.0.1 ]

 [UPD] Changes due to PHP7 incompatiblity
 [UPD] recaptcha updated to recaptchaV2

[ 0.7 ]

 [NEW] Caching - Caching was added for index.php. This option can reduce server load on highly visited pages.
 [NEW] Debug Mode - A debug mode was added. It will show you some interesting information of what's going on inside the code if something isn't working as it should.
 [NEW] Banlists - Banlists for IP, E-Mail and Domains were added. Choose for yourself who is able to sign your guestbook.
 [NEW] reCaptcha - Full support for Googles reCaptcha.
 [NEW] Dynamic Fieldvariables - Source code names for input boxes in newentry.php are chosen random.
 [NEW] Keystroke - Identify spambots by the speed of typing.
 [NEW] SMTP E-Mails - Send E-Mails from the guestbook over smtp by using phpmailer.
 [NEW] Database backup - Create, restore and delete backups of the guestbook sql tables directly in MGB Admin Panel.
 [NEW] Spam protocol - Every failed attempt to do a guestbook entry (wrong captcha, too fast typing, blocking by banlists, etc.) is logged in Admin panel and can be viewed by Admin.
 [NEW] phpinfo() - See information about your php installation directly in admin panel.
 [NEW] New template "mgbBootstrap" that is using Twitters Bootstrap CSS and is based on html5 by R.W.
 [UPD] The way the date of an entry is displayed was changed to full formatting by date() php function.
 [UPD] Updated the Gravatar support of the guestbook -> "blank" type added
 [UPD] The captcha code is now stored in the session. There was a small chance that a new code was generated by a new user if more than one guests did a new entry at the same time.
 [UPD] Possibility to randomize the length of the security code between 3 and 9 characters.
 [UPD] Completely changed the way the security code is generated. It is generated by using hash algorithms now.
 [UPD] The used hash algorithm can be chosen in admin panel.
 [UPD] A "salt" is mixed into the captcha to make it more random. Can be edited by the user.
 [UPD] Some new options to manage smilies.
 [UPD] No more support for importing entries from an MGB 0.5.x.
 [UPD] If you edit your own user account as an administrator the fields that are not important for you are now deactivated.
 [UPD] Reworked the template of admin panel to make it more well-arranged.
 [UPD] Safer session handling in Admin panel.
 [UPD] Reworked upgrade.php with better upgrade functionality.
 [UPD] New captcha backgrounds.
 [UPD] Updated English, Dutch, French, Schweizerdeutsch and German language files.
 [UPD] MGB Version number is now longer shown on login to admin panel.
 [UPD] Changed the css files of mgbModern. A "main.css" is included in every style now that contains the main settings of the template. All "style.css" do only include colours by now.
 [UPD] New "Facebook" and "Twitter" fields for new entries.
 [FIX] A unique url is added to each captcha which should make sure that it is always newly generated and not loaded out of the cache.
 [FIX] Many bugfixes and optimizations.
 

[ 0.6.9.5 ]

 [NEW] Refresh button for captcha
 [NEW] Possibility to set E-Mail to unnecessary in new entries
 [UPD] Removed possibility to deactivate email anti-spam protection. Anti-Spam Protection for eMails is now ALWAYS ON
 [UPD] Removed "MSN" from newentry.php. Microsoft does not develop it any longer so there is no longer any need for it. MSN
       usernames in older entries will be shown as usual
 [UPD] Checkboxes in newentry.php and email.php now memorize values when form is sent
 [FIX] Text in "Thank-you-mail" now changes when Guestbook is moderated or not
 [UPD] Changed text in the copy of an E-Mail that is sent to user over email.php
 [UPD] Added css value for smilies in main template. IE showed some unbeautiful border for them.
 [UPD] Gravatar shows up in preview now
 [UPD] Some minor bugfixes


[ 0.6.9.4 ]

 [FIX] Fixed wrong handling of special chars when viewing preview before signing the guestbook
 [NEW] Ability to set php timezone in administration that is needed since php 5


[ 0.6.9.3 ]

 [FIX] Fixed wrong display of Umlauts with "htmlentities()" -> switched back to "htmlspecialchars()"


[ 0.6.9.2 ]

 [FIX] Possible SQL-Injection in adminpanel reported by Stefan Schurtz - fixed!
 [FIX] Several XSS vulnerabilities in index.php and newentry.php reported by Stefan Schurtz - fixed!


[ 0.6.9.1 ]

 [FIX] changing method of entry numbering didn't work
 [NEW] IMG-Tag with option to disable it
 [NEW] FLASH-Tag with option to disable it
 [UPD] Possibility to set more than one placeholders for each smiley
 [NEW] Now you can define a minimum length for passwords
 [NEW] Parameters for the captcha can be set in the administration now
 [UPD] Sign lock (flood protection) is by default ON at installation
 [UPD] Navigation hyperlinks now show if there are new entries/spam entries
 [UPD] updated language files for dutch, english, italian and french (of course german too)
 [NEW] new upgrade.php -> option to force update, even if it is not necessary (helpful if the upgrade failed at updating some sql entries)
                       -> option to prevent upgrade.php from updating version number (you can do the upgrade several times, if it fails)
 [NEW] each important *.php file now shows a message to do the upgrade when install-directory exists. even if there are sql errors due to missing sql fields and so on
 [UPD] Link to adminpanel is now at the bottom of the guestbook near copyright
 [UPD] some minor changes ...


[ 0.6.9 ]

 [UPD] Changed minimum required php version from 4.3.0 to 4.4.0
 [UPD] install.php no longer uses 'localhost' as default
 [NEW] New variable "$ignore_warnings" in install.php. If you discover problems with PHP or MySQL warnings during installation, set it to 1.
 [UPD] The check for akismet now shows a small icon and the size of the font was increased a little bit
 [NEW] Now it is possible to set the type and the size of the gravatar picture in the admin panel. Also it is possible now to define the position of the gravatar in the entry.
 [UPD] "Sign lock" (flood protection) now by default is ON at installation
 [UPD] improved "convert_ansi.php" (more special chars)
 [NEW] New option to sort entries
 [NEW] Name of the author, version and charset of language files is now shown in admin panel
 [FIX] Session is now killed more accurate if an admin or moderator is inactive for too long, or logs out
 [NEW] New "index.php" in install and admin folder. Redirects to install.php and admin.php.
 [UPD] New option to define in which order smilies are loaded -> ascending or descending
 [UPD] More smilies
 [NEW] "To guestbook" hyperlink in navigation of admin panel

 [ Bugtracker ]

 [NEW] [19] Now it is possible to set a minimum length for new user passwords
 [FIX] [39] If you changed the language you had to press "Save changes" twice to load all language variables. Fixed!
 [FIX] [43] changed behaviour of "lostpassword.php" when it is not possible to send the necessary email for password recovery
 [FIX] [45] "Add user" icon was displayed more than once when there are more than one administrators


[ 0.6.8 ]

 [NEW] Smilies can be added/edited in the administration now
 [NEW] When looking after an update, now a short text is shown with more information about the new version
 [UPD] install.php no longer creates no "config.inc.php" when there are some errors while creating the mysql tables
 [UPD] Some minor bugfixes


[ 0.6.7.1]

 [NEW] Due to data privacy issues with European law users are now forced to agree with the circumstance that akismet transmitts data to a server in the United States.


[ 0.6.7 ]

 [NEW] New language: Turkish (by Mustafa Dündar)
 [NEW] New language: Schweizerdeutsch (by Walti Zubler)
 [NEW] Some new template styles by Shadowdance: Aubergine, Bordeaux, Flieder, Metal, Moos
 [UPD] French and english language file improved
 [NEW] New Feature: "Sign lock" - Now you can set a minimal time the user has to wait before he can sign the guestbook. The counter starts with opening the
	   "newentry.php" and runs in the background. If the user is too fast with his entry, he gets a message displayed which tells him how long he has to wait
	   until he can sign the guestbook. This works great to prevent spam.
 [FIX] eMail check accepts capital letters (thx to hoggies)
 [UPD] by adjusting the variable "$gravatar_size" in "index.php" now the whole gravatar changes his size, not only the border around it (thx to hoggies)


[ 0.6.6 ]

 [NEW] Akismet marks spam now instead to block it completely and you can check it in the adminstration
 [UPD] Separated template for frontend and backend
 [UPD] Added second method to check for a new version
 [NEW] If a new version is available you see it on top of the administration now
 [NEW] Added possibility to activate/deactivate/delete all entries at once

 [ Bugtracker ]

 [FIX] [10] Changed method how mysql version is retrieved. Should work better now.


[ 0.6.5 ]

 [NEW] Akismet Support. BIG THX to Gerard Vandeninden! :)
 [NEW] New captcha that asks the user to solve a mathematical formula -> new font used by the captcha „Acidic“ © by „Surface Type“
 [UPD] Scrolling function enhanced. If there are more than three pages you will have the possibility to go directly to the last/first page
 [UPD] Improved the method how languages will be included into the guestbook. Now they should appear in alphabetical order.
 [NEW] New language: French (translated by Jürgen Schäfer)
 [UPD] English language improved (by Jürgen Schäfer)
 [UPD] Dutch language improved (by Gerard Vandeninden)
 [NEW] Passwordbox in installation is now a password type
 [UPD] NO LONGER SUPPORT FOR latin9 languages. -> too much problems with umlauts and special chars. utf-8 only by now.
 [NEW] "install/convert_ansi.php" -> Since there is no longer support for latin9-languages, you can convert messages with umlauts and so on with this file
 [NEW] "settings.php" in image-folder
 [NEW] new captcha backgrounds
 [UPD] font color of captcha reduced into a bit more black to make it easier to read
 [NEW] angle of captcha text is now randomly changed

 [ Bugtracker ]
 
 [FIX] [40] Missing placeholders for „What is that?“ und Captcha-Link to Wikipedia
 [FIX] [41] Placeholder for copyright and footer adjusted
 [FIX] [42] When updating from 0.6.1 to 0.6.4 there was an error and the guestbook crashed -> reworked the whole upgrade functionality


[ 0.6.4 ]

 [FIX] [0000037] PHP error at template change
 [FIX] minor changes in bbcode-behaviour. bbcodes should now work better
 [UPD] changed directory structure for better file overview
 [NEW] added possibility to see a preview before adding a new entry
 [NEW] added "delete_sql.php" to install-directory, for deleting sql-tables when deleting MGB


[ 0.6.3 ]

 [FIX] [0000022] Added checks for correct functionality of mail(). Should now work properly.
 [FIX] [0000034] Changing the password for administrator leaded to an sql-error
 [FIX] [0000035] Same like above - duplicate error
 [FIX] [0000036] If fopen() was deactivated, a php error occured
 [NEW] MGB shows now if settings were saved successfully in administration
 [NEW] Italian language file included
 [NEW] Dutch language file included
 [NEW] 10 new captcha backgrounds


[ 0.6.2 ]

 [FIX] [0000018] if you changed your own username as administrator, profiles of other users weren't able to edit until a new login
 [FIX] [0000021] by adding a new user all data was lost if you mistyped your password
 [FIX] [0000024] wrong path in template "mgbModern" for favicon
 [FIX] [0000025] "http://" is now added to wrong urls (urls without "http://") typed by users
 [FIX] [0000028] there was no check for your password if you edited your own account
 [FIX] [0000029] fixed an error in the "badwords" function
 [FIX] the problem with IE 6 and 7 that the captcha is not properly new generated if you forgot some data, is partially solved. IE will now generate a new captcha by manually clicking "refresh".
 [NEW] english and informal german language files
 [NEW] [0000027] now you can choose how entries in frontend will be numbered
 [NEW] check if install directory is deleted after installation


[ 0.6.1 ]

 [FIX] [0000014] added check of db_prefix in installation
 [FIX] [0000015] undefined constant in edit.inc.php
 [FIX] [0000016] template, style, language and iconset directories are now checked if they are really directories
 [FIX] [0000017] installation and import are now possible without having cookies activated
 [FIX] german lang_install.php: fixed an umlaut error
 [FIX] newentry.php: added check if email is set when adding an entry to make sure no error occurs if email field is not necessary
 [FIX] same in edit.inc.php (comment) and activate.inc.php (activation of entry)
 [NEW] 6 new CSS styles for mgbModern template: black_and_white, darkblue, green, silver, white_and_black, yellow


[ 0.6 final ]

 [FIX] MGB Icons have now an own class named "icon". So you can insert your own images in a template, without being sized to 16x16px.
 [FIX] [0000012]: Changed "Top Level Domain" to "Domain"
 [FIX] If BBcode [size] and [color] were used in combination both were interpreted but one of them had no effect on the text
 [UPD] Some changes in german language file
 [UPD] Some changes in mgbModern Template
 [NEW] New way to add bbcodes

 IMPORTANT: If you are updating from any Release Candidate Version, and if you created your own style for the mgbModern Theme, you
			have to add this CSS Code to your style.css:

	select.main_option {
		font-family: verdana, arial, helvetica, sans-serif;
		font-size: 10px;
		background-color: #EFEFEF;
		color: #000000;
		border: 1px solid #7F7F7F;
		width: 100px; }


[ 0.6 RC2 ]

 [FIX] {LANG_TRANSFER_SETTINGS} is now correctly replaced when not importing settings of old MGB Installation
 [FIX] import.php: comments of MGB 0.5.x entries were not transfered
 [FIX] missing string in ansi version of german lang_install.php
 [FIX] missing "</form>" in install/template/import_step1.tpl"
 [UPD] index_body.tpl -> links for menu are now directly set in index_body.tpl, instead in index.php. Only language placeholders are replaced
 [UPD] email_body.tpl, email_body_success.tpl, newentry.tpl, newentry_body_entry_success.tpl -> link "back to main page" now directly set in these files, instead in email.php and newentry.php. Only language placeholders are replaced
 [UPD] templates/mgbModern/settings.php -> constants TEMPLATE_DEFAULT_STYLE and TEMPLATE_DEFAULT_ICONSET now in capital letters
 [UPD] import.php: checkbox for "import old settings" remembers status when form is sent
 [NEW] import.php: quake colorcodes are now being filtered out, cause they are no longer supported
 [NEW] upgrade.php: to upgrade your database from RC1


[ 0.6 RC1 ]

 [FIX] fixed an error in email.php which caused php warnings when sending an email to admin or a user
 [FIX] made "http://" as standard for "post_hp" field in "newentry.php" working again
 [UPD] minor changes
 [NEW] import.php to import older entries from an MGB 0.5.x.x installation


[ 0.6 Beta 2 ]

 [FIX] install/mysql.php: `user_show_email` INT(4) NOT NULL DEFAULT '180' ==> `user_show_email` TINYINT(1) NOT NULL DEFAULT '1'
 [FIX] install/mysql.php: `session_timeout` VARCHAR(255) ==> `session_timeout` INT(4) NOT NULL DEFAULT '300'
 [FIX] email.php, line 64: by clicking on email image of an entry on index.php a mysql error occured. $db['host'] ==> $db['hostname']
 [FIX] email.php, lines 64-66: Fixed line numbers in mysql errormessage
 [FIX] [0000009] email.php: Dealed with "undefined index:" error message for name, email and message variables
 [FIX] fixed a bug which displayed wrong errormessages if pressing "save" button in several formulars of administration and session was expired
 [FIX] fixed a bug which displayed no errormessage if new password is set and old password was not given
 [FIX] now displaying login when clicking on "License" and session is expired
 [FIX] if language was changed email messages were not correctly loaded into database
 [FIX] settings were not correctly displayed in activated language if there were more than one language
 [UPD] email.php, lines 104-106: Added line numbers in mysql errormessage
 [UPD] captcha.php, lines 36-38: Added line numbers in mysql errormessage
 [UPD] [0000010] install/install.php, line 85: switch(version_compare('3.23.50', mysql_get_client_info())) ==> switch(version_compare('3.23', mysql_get_client_info()))
 [UPD] Images, Smilies and Icons are now stored in a separate folder "images" in root directory and so they are independent from templates. Iconsets can be changed in administration by creating a new folder with different icons, smilies etc.
 [UPD] edit.inc.php: date and time of an entry is now editable
 [UPD] changed maximum value of session timeout from 999 to 9999
 [UPD] deleted some unnecessary variables in load_settings.inc.php
 [UPD] changed time saving format of entries to timestamp instead of date/time
 [UPD] install/mysql.php: `timestamp` DATETIME NOT NULL , ==> `timestamp` VARCHAR( 255 ) NOT NULL
 [UPD] added the possibility to change format of date by using the php date() function
 [UPD] changed $SERVER_HTTP_VARS["REMOTE_ADDR"] to $_SERVER["REMOTE_ADDR"]
 [UPD] disabled displaying version in user frontend
 [NEW] lostpassword.php: generate new password for your account if you lost it
 [NEW] install/mysql.php: `dateform` VARCHAR(5) NOT NULL DEFAULT 'd/m/Y' (line 120) and 'd/m/Y' (line 194)
 [NEW] added option in administration to show if a newer version exists
 [NEW] added option in administration to change notification email address for new entries